Subject: Distributed Computing and Autodock: Summary

From: Robert Flight <[email-masked]>
Date: Mon, 16 Sep 2002 08:31:04 -0300

Thanks to Christoph and V. Mohan for replying to my question about distributed 
computing and autodock.  My original question with their replies are given 
below.

Robert

Question:
CCL Users,

I'm wondering if anyone knows if it is possible to perform docking using
Autodock on a cluster of networked computers connected by a 10/100 ethernet.
I read that Autodock 3.0 was capable of running this way (J. Comput. Chem.,
1998, Vol 19(14):1639-1662), however, I may be mistaken. I have not been able
to find anything else about this capability of Autodock.

Has anyone ever been able to run Autodock like this, and if so, what is
involved? Must Autodock be installed on each processor?

I will summarize the responses to the list.

Thanks,

Robert

Replies:

assuming thast you have N ligands to dock and M computers at your disposal, 
and a NFS-mounted irectory from which you can run and all your input prepared 
(this is the hard part). Use something like the following csh script fragment:

@ count = 0
while ($count < N)
foreach computer ( insert your computer names here )
rsh $computer "script_to_start_autodock" filename$count
@ count = $count + 1
end
end

A real version will need some safeguards and other bells and whistles, but the 
basic logic is there. You really only need to control the execution of N 
autodock runs and make sure they all use the correct input and produce unique 
output files.

Cheers,
Christoph

| Dr. Christoph Weber Sen. Applications Specialist
| Research Computing, TPC21 858-784-9869 (phone)
| The Scripps Research Institute 858-784-9301 (FAX)
| La Jolla CA 92037-1027 [email-masked]
| http://www.scripps.edu/~weber/
Trust the computer industry to shorten 'Year 2000' to 'Y2K'.
It was this kind of thinking that caused the problem in the first place

Hi, 
Yes, it is possible to run in the mode you're talking about. 
I've seen some information to that effect, on a number of grid computing 
companies webpages. 
For example, you should check www.entropia.com 
Equivalent to SETI@home type projects, fight_AIDS@home [running Autodock on a 
massive number of 
PCs] have been documented. 
---- 
V. Mohan Ph.D. 
Research Fellow 
3-Dimensional Pharmaceuticals 
8 Clarke Drive 
Cranbury NJ 08512 
Tel: 609 655 6934

********************************
Robert Flight
Masters Student
Department of Chemistry
University of New Brunswick
Fredericton, NB  Canada  E3B 6E2
e-mail: [email-masked] 
********************************